#include <Arduino.h>
#include "theSecrets.h"

#ifdef ESP32
#include "WiFi.h"
#elif defined(ESP8266)
#include "ESP8266WiFi.h"
#define LED 2
#define DELAY 2000
#endif

void toggleLED()
{
  if (digitalRead(LED) == LOW)
    digitalWrite(LED, HIGH);
  else
    digitalWrite(LED, LOW);
}

uint8_t temp = 0;
void packet_cb(uint8 *buf, uint16 len)
{
  if (temp < 20)
  {
    temp++;
    Serial.printf("%5d", len);
  }
  else
  {
    temp = 0;
    Serial.println();
  }
}

void setup()
{
#ifdef ESP8266
  pinMode(LED, OUTPUT);
#endif
  Serial.begin(115200);
  Serial.println();
  WiFi.begin(ssid, psk);
  while (!WiFi.isConnected())
  {
#ifdef ESP8266
    toggleLED();
#endif
    Serial.print(".");
    delay(200);
  }
  Serial.println();
  Serial.print("IP: ");
  Serial.println(WiFi.localIP());
  wifi_promiscuous_enable(true);
  wifi_set_promiscuous_rx_cb(packet_cb);
}

void loop()
{
#ifdef ESP8266
  digitalWrite(LED, LOW);
  delay(DELAY);
  digitalWrite(LED, HIGH);
  delay(DELAY);
#endif
}